commit 2cbaaafed9c02951d4bf17f9c43ff71ac0821677
Author: Pekka Riikonen <priikone@silcnet.org>
Date:   Thu Jan 8 14:35:48 2009 +0200

    Removed libtoolfix

commit 4a0d8cdb05d508cfa9480b54917b93cdd470d1e7
Author: Pekka Riikonen <priikone@silcnet.org>
Date:   Tue Dec 16 17:17:58 2008 +0200

    Packet engine: more padding length check fixes
    
    The padding length must be checked differently depending on whether the
    packet is fully encrypted with session key or if only the header is
    encrypted with session key (fe. channel messages).

commit 7da2061d1fe888de4b055127ca3c5bec8526e69f
Author: Kp <kp@valhallalegends.com>
Date:   Sat Dec 13 12:37:39 2008 -0600

    Cleanup: limit length of strings scanned by scanf.
    
    Several uses of scanf-type functions allowed the scanned string to
    supply an arbitrarily large input string.  Add length qualifiers to
    prevent scanf from overrunning the supplied buffer.

commit d8bab7c3937644509e6759b38a5e2ee9bfaf273e
Author: Kp <kp@valhallalegends.com>
Date:   Sun Dec 7 15:48:48 2008 -0600

    Cleanup: fix long/int format string errors.
    
    Two format strings used long values with int format specifiers.
    Fix the format specifiers so that the entire value can be printed.

commit 6cf290c9d959d9842d099d7f3c02aa4aca286b0f
Author: Kp <kp@valhallalegends.com>
Date:   Sun Dec 7 18:24:33 2008 -0600

    Fix error logging format string mangled by a bogus comma.
    
    A format string was split over two lines, with the second line
    containing the format specifier that prints the channel name.  A comma
    was incorrectly appended to the first line, causing the format specifier
    substring to become an argument string.  Since no format specifiers
    remain in the main string, the logger does not format any arguments.
    Remove the bogus comma to fix that.

commit 8311a3ebf2477adc75ae010cde73ab03f9b9bc74
Author: Kp <kp@valhallalegends.com>
Date:   Sun Dec 7 18:59:23 2008 -0600

    Cleanup: fix various int/long format string errors.
    
    Various format strings used int values with long format specifiers.
    Fix the format specifiers to be consistent with the values supplied.

commit c38f423e3baa389150c5b31ee95a60e8e2f221f2
Author: Kp <kp@valhallalegends.com>
Date:   Sun Dec 7 15:46:47 2008 -0600

    Cleanup: cast socket to long before logging it.
    
    The SilcSocket type varies in size, depending on the host platform.  On
    Unix systems, it is an int, which is 32-bits on all interesting
    platforms.  On Windows, it is a SOCKET, which is also 32-bits.  However,
    on Symbian, SilcSocket is a void pointer.  Changing %lu to %u may not
    work in all cases due to this size difference, so instead cast the
    socket to a long unsigned, which should avoid loss of precision on all
    platforms and still satisfy the %lu format specifier.

commit 84f3df89c92080b205f6235257b6d8cf28aea7bc
Author: Kp <kp@valhallalegends.com>
Date:   Sun Dec 7 15:49:36 2008 -0600

    Fix missing argument in SKR debug logging.
    
    The format string used in SKR debug logging calls for a pointer and two
    int values.  However, only the two int values were provided, so the
    debug logs would be wrong if they were ever printed.  Based on context,
    the format string probably wanted the SilcSKRKey.  Add it.

commit 5b143539a0faf0ebcaa9df0aa7d96f821ba8677e
Author: Kp <kp@valhallalegends.com>
Date:   Sun Dec 7 16:04:56 2008 -0600

    Fix missing argument in client_entry.c debug logging.
    
    Logging modifications during merge commit
    e9374395ec9747bddd3ea0bfd3e5a17717e97b31 resulted in several log
    messages that purport to print a pointer, but do not push one for the
    logging code to format.  Add the pointer that was clearly meant in each
    case.

commit 4871fc5bb45ba2733196b8fd361636b34c144abd
Author: Kp <kp@valhallalegends.com>
Date:   Sun Dec 7 16:35:05 2008 -0600

    Fix missing argument in silc_client_abort_key_agreement debug logging.
    
    The debug log in silc_client_abort_key_agreement purports to print a
    pointer, but does not push one for the logging code to format.  Fix
    that, and extend the message to print some other values that might be
    interesting.

commit b2b91b074b6701455053425b583a6fd0beedc8cc
Author: Kp <kp@valhallalegends.com>
Date:   Fri Dec 12 21:38:54 2008 -0600

    HTTP: fix stack overwrite due to format string error.
    
    On AMD64, %lu refers to a 64-bit unsigned value, but the address passed
    to sscanf points to a 32-bit unsigned value.  This causes an adjoining
    value on the stack to be overwritten with data from the converted
    integer.  Fix the format string to match the size of the supplied value,
    and remove the pointer cast.

commit 069e1969a3c2593056ecd1221e7df8bd52ede13f
Author: Pekka Riikonen <priikone@silcnet.org>
Date:   Sat Dec 13 21:48:04 2008 +0200

    ID Cache: Fixed destructor callback calling.
    
    The destructor context given to the ID cache destructor callback was wrong
    which caused odd crashes.

commit 2d53ba023e9b2eb6dbc52765b880090aa9354cf8
Author: Pekka Riikonen <priikone@silcnet.org>
Date:   Sat Dec 13 21:27:01 2008 +0200

    Packet engine: do not do the padding length check for CTR mode.

commit 7df533b4f344d414f3817fc16430bec51d35d146
Author: Pekka Riikonen <priikone@silcnet.org>
Date:   Sun Nov 23 12:56:20 2008 +0200

    Packet engine: moved packet sanity checks after MAC check

commit 8298858c6fa6e39f0418daf2ee1cf1c8297cdd79
Author: Pekka Riikonen <priikone@silcnet.org>
Date:   Sun Nov 23 12:48:21 2008 +0200

    Removed extra semicolons from SILC_ASSERT and SILC_VERIFY macros

commit dbc1bd097dd0090e4d0891bcd86f36e837405fda
Author: Skywing <skywing@valhallalegends.com>
Date:   Sat Nov 8 23:07:36 2008 -0500

    Prevent continuing of an already finished FSM.
    
    Another fix for another crash relating to misuse of FSM and callback logic in
    the SKE library.

commit bd396f4e92ed3c573effb47feeabd283e16ef4e3
Author: Skywing <skywing@valhallalegends.com>
Date:   Sat Nov 8 21:19:03 2008 -0500

    Fix crash on SKE failure.
    
    Adds checks to prevent SKE failure notification callbacks from being called
    multiple times for the same SKE instance.  This would often happen, for
    example, if we aborted an SKE.

commit 8ad07bf7fa3f4a579935e59c8832315e19d75908
Author: Skywing <skywing@valhallalegends.com>
Date:   Sat Jun 28 00:21:51 2008 -0500

    Add reference counting to SilcClientEntry/SilcServerEntry for getkey response.
    
    This is necessary in case the entry goes away before the user responds to the
    keyboard input request.  (Fix for getkey crash if a user logs off before one
    responds to the getkey prompt.)

commit 1d69152f8db0cd9f8b72ebcfeef5be6feb2632b9
Author: Skywing <skywing@valhallalegends.com>
Date:   Sat Jun 28 00:12:18 2008 -0500

    Fix initialization/deinitialization of various Silc*Entry objects.
    
    A number of init/deinit cases were failing to clean up
    certain resources.

commit 8f97093aded310bfdb6a4b3357639f78ad6b4503
Author: Skywing <skywing@valhallalegends.com>
Date:   Fri Jun 27 23:44:03 2008 -0500

    Fix reference counting for SilcServerEntry objects,
    
    analogous to the previous fixes for the broken
    reference counting for SilcChannelEntry and
    SilcClientEntry objects.

commit e69eab552f385361553ef94c80dd64040873a02f
Author: Kp <kp@valhallalegends.com>
Date:   Fri Jul 4 13:06:00 2008 -0500

    Assert that the client count is positive prior to decrementing it.
    
    A situation has been observed where a silcd has clients connected to it,
    but reports 0 local users.  It is believed that when these users log
    off, the server underflows and refuses new connections.  Assert that no
    underflow occurs, which should prove or disprove this theory.

commit 77bf30377cb863783399080df4d99bb95495102a
Author: Kp <kp@valhallalegends.com>
Date:   Sat Jun 28 00:28:25 2008 -0500

    Fix reference counting for key exchange handling.
    
    When a key exchange times out, the SKE can be freed before the user
    responds.  Switch the SKE callbacks to obtain their own reference to the
    object to prevent this.

commit 3df3be75b6941531f8ddd37b91314fadb1864079
Author: Skywing <skywing@valhallalegends.com>
Date:   Sat Nov 8 23:07:36 2008 -0500

    Prevent continuing of an already finished FSM.
    
    Another fix for another crash relating to misuse of FSM and callback logic in
    the SKE library.

commit eef2f07c618c1b09976f3161e524e37cc4052499
Author: Skywing <skywing@valhallalegends.com>
Date:   Sat Nov 8 21:19:03 2008 -0500

    Fix crash on SKE failure.
    
    Adds checks to prevent SKE failure notification callbacks from being called
    multiple times for the same SKE instance.  This would often happen, for
    example, if we aborted an SKE.

commit dfcb7120979005b77b6bfd71fe10bcfcf3043690
Author: Skywing <skywing@valhallalegends.com>
Date:   Sat Nov 8 21:05:06 2008 -0500

    Revert "Don't delete packet stream"
    
    This reverts commit 544d0faa279dc3a3ca8f635665bd2cb57e92342b.

commit 544d0faa279dc3a3ca8f635665bd2cb57e92342b
Author: Skywing <skywing@valhallalegends.com>
Date:   Sat Nov 8 18:46:02 2008 -0500

    Don't delete packet stream

commit 6fbdb9acb4b8f4f90632c5b317c4daf81f7b2ec4
Author: Skywing <skywing@valhallalegends.com>
Date:   Sat Jun 28 00:12:18 2008 -0500

    Fix initialization/deinitialization of various Silc*Entry objects.
    
    A number of init/deinit cases were failing to clean up
    certain resources.

commit 9145000948d0df9c9db99beb8d2f0855ba88e40c
Author: Skywing <skywing@valhallalegends.com>
Date:   Fri Jun 27 23:44:03 2008 -0500

    Fix reference counting for SilcServerEntry objects,
    
    analogous to the previous fixes for the broken
    reference counting for SilcChannelEntry and
    SilcClientEntry objects.

commit 1b106411911a7cf2cb5285d42d3e54449169a7f4
Author: Skywing <skywing@valhallalegends.com>
Date:   Fri Jun 27 00:18:01 2008 -0500

    Add support for autosendcmd on channel entries to the
    
    SILC client.  Note that we don't support botmasks yet,
    but this can be used to send a command on join of a
    channel on connect/reconnect/reattach detached session.

commit 111050c51338ea0da165048536fbb0dc7f500a0a
Author: kp@valhallalegends.com <kp@valhallalegends.com>
Date:   Sat Jun 28 00:28:25 2008 -0500

    Fix reference counting for key exchange handling.
    
    When a key exchange times out, the SKE can be freed before the user
    responds.  Switch the SKE callbacks to obtain their own reference to the
    object to prevent this.

 Makefile.ad                              |    1 -
 configure.ad                             |   23 +----
 doc/silcd.conf.yo                        |    6 +
 lib/configure.ad                         |    4 +-
 lib/silcapputil/silcidcache.c            |    4 +-
 lib/silcapputil/silcidcache.h            |    5 +-
 lib/silcclient/client.c                  |    6 +-
 lib/silcclient/client.h                  |    3 +
 lib/silcclient/client_entry.c            |   98 ++++++++++-------
 lib/silcclient/client_keyagr.c           |    3 +-
 lib/silcclient/silcclient.h              |    6 +-
 lib/silccore/silcpacket.c                |   77 ++++++++-----
 lib/silccrypt/Makefile.ad                |    9 +--
 lib/silchttp/silchttpserver.c            |    2 +-
 lib/silcsim/Makefile.ad                  |    6 -
 lib/silcske/silcske.c                    |  105 +++++++++++-------
 lib/silcske/silcske_i.h                  |   12 +-
 lib/silcskr/silcskr.c                    |    4 +-
 lib/silcutil/silclog.h                   |   10 +-
 lib/silcutil/silcschedule.c              |    6 +-
 lib/silcutil/silcsocketstream.c          |    2 +-
 lib/silcutil/unix/silcunixschedule.c     |    2 +-
 delete mode 100755 libtoolfix
